var admobid = {};
var actionOnClose="";
var isRewardLoaded = false;
var isInterstitialReady = false;
var isRewardLoading = false;

  /* admobid = { // for Testing Android
        banner: 'ca-app-pub-3940256099942544/6300978111',
        interstitial: 'ca-app-pub-3940256099942544/1033173712',
        rewardvideo: 'ca-app-pub-3940256099942544/5224354917',
    }; */

admobid = { 
	banner: 'ca-app-pub-3651224251423126/5555282386',
	interstitial: 'ca-app-pub-3651224251423126/7798302343',
	rewardvideo: 'ca-app-pub-3651224251423126/7805562276',
};

function initAd() {
  if (! AdMob ) { alert( 'admob plugin not ready' ); return; }

  document.addEventListener('onAdLoaded', function(e){
      // handle the event
      // alert(e.adType+ 'loaded');
      
      console.log(e.adType+ 'loaded', admobid);
      if(e.adType == "rewardvideo"){          
          isRewardLoaded = true;
          isRewardLoading = false;
      }
      if(e.adType == "interstitial"){          
          isInterstitialReady = true;
      }
  });
var event = null;
  document.addEventListener('onAdFailLoad', function(e){
	  event = e;
	  console.log("AD FAILD", e.adType);
      
	  if(e.adType == "rewardvideo"){          
          isRewardLoaded = false;
          isRewardLoading = false;
      }
  });
  document.addEventListener('onAdWillPresent', function(e){

      createjs.Sound.muted = true;  
      createjs.Sound.volume = 0.001;
      
  });
  document.addEventListener('onAdPresent', function(e){
      console.log(e.adType+ ' present', "action:", actionOnClose);
      createjs.Sound.muted = true;
      createjs.Sound.volume = 0.001;

  });   
  document.addEventListener('onAdDismiss', function(e){
      console.log(actionOnClose, e.adType, "dismissed")
      
      if(e.adType.toLowerCase() == "interstitial" || e.adType.toLowerCase() == "rewardvideo"){           
          createjs.Sound.muted = false;
          isAdPlaying = false;
          if(isSound)
           createjs.Sound.volume = 1;
           if(e.adType.toLowerCase() == "rewardvideo"){
              isRewardLoaded = false;
              if(actionOnClose == "levelup"){
                  if(currentLevel<maxLevel)
                      loadAd("rewardvideo", false)
                  else
                      loadAd("interstitial", false);
              }
              else loadAd(e.adType, false);
           }
           else{
              loadAd("rewardvideo", false);
           }
      }
      
  });
}
function createSelectedBanner(){
  if(AdMob) {
      AdMob.createBanner( {
          adId: admobid.banner,
          position: AdMob.AD_POSITION.BOTTOM_CENTER,
              //isTesting: true,// TODO: remove this line when release
          overlap: false,
          offsetTopBar: false,
          bgColor: 'black',
          forChild: "yes"
        } );
  }
}

function loadAd(adType, autoShow){
    
  if(adType.toLowerCase() == "interstitial"){
    console.log(adType, ' is started loading');
      AdMob.prepareInterstitial({

          adId: admobid.interstitial,
              //isTesting: true,// TODO: remove this line when release
          autoShow: autoShow,
          forChild: "yes"
        });
    }
    else if(adType.toLowerCase() == "rewardvideo" && !isRewardLoaded && !isRewardLoading){
        isRewardLoading = true;
        console.log(adType, ' is started loading');
      AdMob.prepareRewardVideoAd({
          adId: admobid.rewardvideo,
             // isTesting: true,// TODO: remove this line when release
          autoShow: autoShow,
          forChild: "yes"
        }, function(){
          //on success

      }, function(){
          //onfailed
      });
    }
  
}
function playAd(adType, closeAction){

  actionOnClose = closeAction;
   console.log("playAd called---", adType, adType.toLowerCase());
  if(adType.toLowerCase() == "interstitial"){
    
      AdMob.isInterstitialReady(function(ready){ 
          if(ready){ 
              AdMob.showInterstitial();
              isAdPlaying = true;
          } 
          else{
              // loadAd("interstitial", true)
          }
      });
      
    }
  else if(adType.toLowerCase() == "rewardvideo" ){
      if(!isRewardLoaded){
          if(actionOnClose == "levelup"){
              levelupLockUnlock()  
              isAdPlaying = false;     
          }
              return
      }
      else
      {
          createjs.Sound.muted = true;  
          isAdPlaying = true;
          AdMob.showRewardVideoAd(); 
          if(actionOnClose == "levelup"){
              levelupLockUnlock();       
          }
      }
  }
  else if(adType.toLowerCase() == "banner"){
  
  createSelectedBanner();
  }

    

}



